appModule.controller('cv19NATController', ['$scope', '$rootScope', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function($scope, $rootScope, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate, $ionicModal) {

  /* datas */
  $scope.stateName = $state.current.name; //data
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.result = {}
  $scope.form = { } //测试
  $scope.content = 'form'
  $scope.results = []
  $scope.setContent = function(content) {
    $scope.content = content
  }
  $scope.showOne = function(item) {
    $scope.one = item
    $timeout(function() {
      $ionicPopup.alert({
        template: '<ul class="list">' +
          '<li class="item"><span class="mr15">核酸情况</span><span>' + item.jcStr + '</span></li>' +
          '<li class="item"><span class="mr15">姓名</span><span>' + item.name + '</span></li>' +
          '<li class="item"><span class="mr15">身份证号</span><span>' + item.idCard + '</span></li>' +
          '<li class="item"><span class="mr15">采集时间</span><span>' + item.cjTime + '</span></li>' +
          '<li class="com-flex-line item"><span class="mr15 item-shrink0" style="white-space: none">采集地点</span><span>' + item.cjAddress + '</span></li>' +
          '</ul>',
        okText: '返回'
      })
    })
  }
  $scope.submit = function() {
    var msg = $scope.ruleAll('请正确填写')
    if (msg != true) {
      $scope.alert(msg);
      return;
    }
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.cv19NATlist, $scope.form, function(result) {
      $scope.$emit('loading', 'hide');
      console.log(result)
      $timeout(function() {
        $ionicScrollDelegate.resize();
      })
      if (result.code == 200) {
        $scope.results = result.data
        $scope.result = result.data && result.data[0]
        $scope.setContent('result')
        return
      }
      else $scope.alert(result.msg)
    });
  }
  $scope.viewGoback = function() {
    if ($scope.content == 'result') $scope.setContent('form')
    else $rootScopeViewGoback();
  }
}
]);
