appModule.controller('pgmRelationController', ['$scope', '$rootScope', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function($scope, $rootScope, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate, $ionicModal) {
  $scope.stateName = $state.current.name;
  $scope.form = {
    idCard: $scope.user.idCard,
    name: $scope.user.real_name
  }
  $scope.viewGoback = function() {
    $scope.goState('ttbHomepage')
  }
  $scope.$on('updatedUser', function(e) {
    if (!!$scope.user.pgmRid) $scope.goStateLogin('cv19qa')
  });
  $scope.$on('backButtonOn', function() {
    $scope.viewGoback()
  });
  $scope.submit = function() {
    var msg = $scope.ruleAll()
    if (msg != true) {
      $scope.alert(msg);
      return;
    }
    $scope.form.userId = $scope.user.id
    $scope.form.regionId = 4
    appService.getData(urlMap.userPgmrid, $scope.form, function(res) {
      $scope.$emit('loading', 'hide');
      if (res.code == 200) {
        $scope.$emit("updateUserInfo");
        return
      }
      if (res.code == 1004) {
        $scope.alert('<p class="tc">' + res.msg + '</p>'
          + '<p class="mt5 tc"><a href="tel:0435-5725999" class="f18">'
          + '<span class="iconfont ion-ios-telephone color358dee f20"></span> '
          + '<span class="name">客服电话</span>'
          + '</a></p>')
        return
      }
      $scope.alert(res.msg)
    })
  }
}
]);
