appModule.controller('policyEliteController', ['$scope', '$timeout', 'appService', function($scope, $timeout, appService) {
    $scope.$on('$ionicView.loaded', function() {
        $scope.regionCode = ($scope.publicCityId == '2205' || $scope.publicCityId == '220521') ? '2205' : $scope.publicCityId
        $scope.getCategory()
    });
    $scope.tabIndex;
    $scope.showList = function(i, header) {
        if (!header.children) $scope.getChildren(header, function() {
            $scope.tabIndex = i
        })
        else $scope.tabIndex = i
    }
    $scope.getChildren = function(header, callback) {
        $scope.$emit('loading', 'show');
        appService.getData(urlMap.policyGanhuoCategory, { regionCode: $scope.regionCode, pid: header.id, state: 1 }, function(results) {
            $scope.$emit('loading', 'hide');
            header.children = results.data
            $timeout(function() {
                callback && callback()
            })
        })
    }
    $scope.getCategory = function() {
        $scope.$emit('loading', 'show');
        appService.getData(urlMap.policyGanhuoCategory, { regionCode: $scope.regionCode, pid: 0, state: 1 }, function(results) {
            $scope.$emit('loading', 'hide');
            $scope.policyList = results.data
        })
    }
}]);