appModule.controller('scTtbCV19HandleUnController', ['$scope', '$stateParams', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function($scope, $stateParams, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate, $ionicModal) {
  $scope.region = $stateParams.region
  $scope.qaid = $stateParams.qaid
  $scope.tabIndex = 0;
  $scope.allArrays = [null, null, null];
  $scope.pageNext = [0, 0, 0];
  $scope.total = [];
  $scope.domore = [false, false, false];
  /* datas */
  $scope.handleNav = [
    {
      id: 0, name: '本地居民来通'
    },
    {
      id: 1, name: '本地居民离通'
    },
    {
      id: 2, name: '外地号段来通'
    }
  ];
  $scope.changeHandleNav = function(navItem) {
    $scope.tabIndex = navItem.id;
  }
  $scope.$watch('tabIndex', function(n, o) {
    console.log(n)
    $ionicScrollDelegate.scrollTop();
  });
  $scope.$on('$ionicView.loaded', function() {
    $scope.loadSource(function() {
      return $.mobiscroll
    }, function() {
      $scope.initDateArr('time');
    })
  });
  /* 初始化日期插件 */
  $scope.initDateArr = function(id) {
    $("#" + id).mobiscroll().date();
    var currYear = (new Date()).getFullYear();
    //初始化日期控件
    var opt = {
      preset: 'date', //日期，可选：date\datetime\time\tree_list\image_text\select
      theme: 'android-ics light', //皮肤样式，可选：default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp
      display: 'bottom', //显示方式 ，可选：modal\inline\bubble\top\bottom
      mode: 'scroller', //日期选择模式，可选：scroller\clickpick\mixed
      lang: 'zh',
      dateFormat: 'yyyy-mm-dd', // 日期格式
      setText: '确定', //确认按钮名称
      cancelText: '取消',//取消按钮名籍我
      dateOrder: 'yyyymmdd', //面板中日期排列格式
      dayText: '日', monthText: '月', yearText: '年', //面板中年月日文字
      // showNow: true,
      nowText: "今",
      startYear: currYear - 2, //开始年份  
      endYear: currYear, //结束年份 
      onSelect: function(time) {
        // console.log(arguments)
        $scope.doRefresh()
        $scope.$apply(function() {
          $scope.time = time
        })
      }
    };
    $("#" + id).mobiscroll(opt);
    $scope.time = new Date().Format('yyyy-MM-dd')
    $("#time").val($scope.time)
    $scope.domore = [true, true, true];
  }
  /* 获取列表 */
  $scope.queryArray = function(tabIndex, page) {
    var data = {
      userId: $scope.user.id,
      time: $('#time').val(),
      page: page
    }
    if (page < 1) {
      $scope.allArrays[tabIndex] = null;
    }
    $scope.$emit('loading', 'show');
    var url;
    switch (tabIndex) {
      case 0:
        url = urlMap.cv19UnListIn
        break;
      case 1:
        url = urlMap.cv19UnListOut
        break;
      case 2:
        url = urlMap.cv19UnListOutsiders
        break;
    }
    appService.getData(url, data, function(results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      if (results.code == 200) {
        var list = results.data;
        var length = list.length, size = results.size || 10, total = results.data.totalElements,
          articles = $scope.allArrays[tabIndex] || [];
        if (length < size) $scope.domore[tabIndex] = false;
        else {
          $timeout(function() {
            $scope.domore[tabIndex] = true;
          }, 200)
        }
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i];
            articles.push(item);
          }
        }
        $scope.allArrays[tabIndex] = articles;
        $scope.total[tabIndex] = total;
        return
      }
      $scope.domore[tabIndex] = false;
    })
  }
  $scope.doRefresh = function() {
    $scope.pageNext[$scope.tabIndex] == 0
    $scope.queryArray($scope.tabIndex, 0);
  }
  $scope.onInfinite = function() {
    $scope.queryArray($scope.tabIndex, $scope.pageNext[$scope.tabIndex]++);
  }
  $scope.goMuti = function() {
    $scope.goState('scTtbCV19HandleUnMultiPhones', {
      inOut: this.tabIndex == 1 ? 'out' : 'in',
      regionId: $scope.region.id,
      time: $('#time').val(),
    })
  }
  // 
}
]);
