appModule.controller('xiaozhishuojiController', ['$scope', 'appService', '$rootScope', '$state', '$timeout', '$ionicScrollDelegate', '$stateParams'
  , function($scope, appService, $rootScope, $state, $timeout, $ionicScrollDelegate, $stateParams) {
    //data
    $scope.stateName = $state.current.name;
    $scope.footerActiveFlag = 1;
    $scope.pageNext = 0;
    $scope.domore = true;
    $scope.stationIndex = 4;
    $scope.queryVideo = function(page) {
      var data = {
        page: page,
        size: 10,
        regionCode: $scope.publicCityId,
        verifyState: 1,
      }
      appService.getData(urlMap.xiaozhishuojiList, data,
        function(results) {
          $scope.$broadcast('scroll.refreshComplete');
          $scope.$broadcast('scroll.infiniteScrollComplete');
          if (page < 1) {
            $scope.pageNext = 0;
            $scope.jwVio = null;
          }
          var list = results.data, length = list.length, size = results.size || 10,
            articles = $scope.jwVio || []
            ;
          if (length < size) $scope.domore = false;
          if (length > 0) {
            for (var i = 0; i < list.length; i++) {
              list[i].portrait = $scope.evalRemotePath(list[i].userPortrait || urlMap.defaultImg)
              articles.push(list[i]);
            }
          }
          $scope.jwVio = articles;
          $timeout(function() {
            $ionicScrollDelegate.resize();
          })
        });
    }
    $scope.init = function() {
      $scope.pageNext = 0
      $scope.domore = true;
      $scope.jwVio = null
    }
    //下拉刷新
    $scope.doRefresh = function() {
      $scope.queryVideo(0);
    }
    //上拉加载
    $scope.onInfinite = function() {
      $scope.queryVideo($scope.pageNext++);
    }
    //跳转到详情页面 
    $scope.goDetail = function(item) {
      if (!item.id) return
      var goState = function() { $state.go('videoDetail', { id: item.id }) }
      $scope.$emit("loginFirst", goState);
    }
  }
])
