appModule.controller('cv19qaStatisticsController', ['$scope', '$stateParams', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function($scope, $stateParams, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate, $ionicModal) {
  $scope.region = $stateParams.region
  $scope.qaid = $stateParams.qaid
  $scope.tabIndex = 0;
  $scope.allArrays = [null, null, null];
  $scope.pageNext = [0, 0, 0];
  $scope.total = [];
  $scope.domore = [true, true, true];
  /* datas */
  $scope.handleNav = [
    {
      id: 0, name: '是'
    },
    {
      id: 1, name: '否'
    },
    {
      id: 2, name: '未作答'
    }
  ];
  $scope.changeHandleNav = function(navItem) {
    $scope.tabIndex = navItem.id;
  }
  $scope.$watch('tabIndex', function(n, o) {
    console.log(n)
    $ionicScrollDelegate.scrollTop();
  });

  /* 获取列表 */
  $scope.queryArray = function(tabIndex, page) {
    var data = {
      userId: $scope.user.id,
      regionCode: $scope.region.code,
      questionId: $scope.qaid,
      questionState: $scope.handleNav[tabIndex].name,
      page: page
    }
    if (page < 1) {
      $scope.allArrays[tabIndex] = null;
    }
    $scope.$emit('loading', 'show');
    appService.getData(urlMap.qaGetquestionsDetailAdmin, data, function(results) {
      $scope.$emit('loading', 'hide');
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      if (results.code == 200) {
        var list;
        switch (tabIndex) {
          case 0:
            list = results.data.yesList
            break;
          case 1:
            list = results.data.noList
            break;
          case 2:
            list = results.data.notList
            break;
        }
        var length = list.length, size = results.size, total = results.data.totalElements,
          articles = $scope.allArrays[tabIndex] || [];
        if (length < size) $scope.domore[tabIndex] = false;
        else {
          $timeout(function() {
            $scope.domore[tabIndex] = true;
          }, 200)
        }
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i];
            articles.push(item);
          }
        }
        $scope.allArrays[tabIndex] = articles;
        $scope.total[tabIndex] = total;
        return
      }
      $scope.domore[tabIndex] = false;
    })
  }
  $scope.doRefresh = function() {
    $scope.pageNext[$scope.tabIndex] == 0
    $scope.queryArray($scope.tabIndex, 0);
  }
  $scope.onInfinite = function() {
    $scope.queryArray($scope.tabIndex, $scope.pageNext[$scope.tabIndex]++);
  }
  // 
}
]);
