appModule.controller('feedBackDetailController', ['$scope', '$stateParams', 'appService', '$state', '$sce',
    function($scope, $stateParams, appService, $state, $sce) {

        $scope.detailId = $stateParams.id;
        $scope.areaID = $stateParams.areaID;
        $scope.tabIndex = $stateParams.flag;
        //新闻详情
        appService.getData(urlMap.queryOneFeedBack, { id: $scope.detailId },
            function(jsonData) {
                if (jsonData.length > 0) {
                    var type = jsonData[0].type;
                    var pic_nameN = jsonData[0].pic_name.substring(0, jsonData[0].pic_name.length - 1);
                    new RTP.PinchZoom($('#pinchZoom'), { minZoom: 0.2 });
                    var winHeight = $(window).height();
                    var winWidth = $(window).width();
                    $('#pinchZoom').height(winHeight)
                        .parents('.pinch-zoom-container')
                        .width(winWidth)
                        .height(winHeight);
                    $scope.msgItem = jsonData[0];
                    if (pic_nameN) {
                        $scope.msgItem.files = []
                        var picList = pic_nameN.split(",");
                        for (var i = 0; i < picList.length; i++) {
                            $scope.msgItem.files[i] = {}
                            var fileType = $scope.msgItem.files[i].type = $scope.thisfileType(picList[i]);
                            if (fileType == 1) {
                                $scope.msgItem.files[i].name = $scope.evalRemotePath(picList[i]);
                            }
                            if (fileType == 2) {
                                var vio = $scope.evalRemotePath(picList[i], $.vio);
                                $scope.msgItem.files[i].name = vio && $sce.trustAsResourceUrl(vio)
                            }
                        }
                    }
                }
            });

        $scope.goMsgList = function() {
            $state.go('feedBack', { "flag": $scope.tabIndex });
            // window.location.href = "#/feedBack";
        }

        //点击放大图
        $scope.bigImage = false;
        $scope.showBigImage = function(imgSrcPath) {
            $scope.bigImage = true;
            // $scope.bigImageSrc = imgSrcPath + "?" + (new Date()).getTime();
            $scope.bigImageSrc = imgSrcPath;
        };
        $scope.hideBigImage = function() {
            $scope.bigImage = false;
            // $('#pinchZoom').parents('.pinch-zoom-container').hide();
        };
        /* $scope.loadBigImage = function () {
            // $('#pinchZoom').parents('.pinch-zoom-container').show();
        } */
    }
])
